Loading...
Searching...
No Matches
blackoilfoammodules.hh File Reference

Contains the classes required to extend the black-oil model to include the effects of foam. More...

`#include <dune/common/fvector.hh>`
`#include <opm/common/OpmLog/OpmLog.hpp>`
`#include <opm/input/eclipse/EclipseState/Phase.hpp>`
`#include <opm/models/blackoil/blackoilfoamparams.hpp>`
`#include <opm/models/blackoil/blackoilproperties.hh>`
`#include <opm/models/discretization/common/fvbaseparameters.hh>`
`#include <opm/models/discretization/common/fvbaseproperties.hh>`
`#include <cassert>`
`#include <istream>`
`#include <ostream>`
`#include <stdexcept>`
`#include <string>`

Go to the source code of this file.

## Classes

class | Opm::BlackOilFoamModule< TypeTag, enableFoamV >
| Contains the high level supplements required to extend the black oil model to include the effects of foam. More...
class | Opm::BlackOilFoamIntensiveQuantities< TypeTag, true >
class | Opm::BlackOilFoamIntensiveQuantities< TypeTag, false >

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Variables

template<class TypeTag, bool enableFoam>
BlackOilFoamParams< typename BlackOilFoamModule< TypeTag, enableFoam >::Scalar > | Opm::BlackOilFoamModule< TypeTag, enableFoam >::params_

## Detailed Description

Contains the classes required to extend the black-oil model to include the effects of foam.